## Net List Net List — Network Devices List. |

## Stability Level

Stable, unless otherwise indicated

## Functions

char ** | glibtop_get_netlist ()
char ** | glibtop_get_netlist_l ()
char ** | glibtop_get_netlist_p ()
char ** | glibtop_get_netlist_s ()

## Types and Values

#define | GLIBTOP_NETLIST_NUMBER
#define | GLIBTOP_MAX_NETLIST
struct | glibtop_netlist
#define | glibtop_get_netlist_r

## Includes

    #include <glibtop/netlist.h>

## Description

The application class handles ...

## Functions

### glibtop_get_netlist ()

    char **
    glibtop_get_netlist (glibtop_netlist *buf);

#### Parameters

buf | a glibtop_netlist |

#### Returns

an array of network interface names.

[array zero-terminated=1][transfer full]

### glibtop_get_netlist_l ()

    char **
    glibtop_get_netlist_l (glibtop *server,
                           glibtop_netlist *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_netlist |

#### Returns

an array of network interface names.

[array zero-terminated=1][transfer full]

### glibtop_get_netlist_p ()

    char **
    glibtop_get_netlist_p (glibtop *server,
                           glibtop_netlist *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_netlist |

#### Returns

an array of network interface names.

[array zero-terminated=1][transfer full]

### glibtop_get_netlist_s ()

    char **
    glibtop_get_netlist_s (glibtop *server,
                           glibtop_netlist *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_netlist |

#### Returns

an array of network interface names.

[array zero-terminated=1][transfer full]

## Types and Values

### GLIBTOP_NETLIST_NUMBER

    #define GLIBTOP_NETLIST_NUMBER		0

### GLIBTOP_MAX_NETLIST

    #define GLIBTOP_MAX_NETLIST		1

### struct glibtop_netlist

    struct glibtop_netlist {
    	guint64 flags;
    	guint32 number;
    };

#### Members

guint64 `flags`; |  |
guint32 `number`; | Number of entries in the returned list. |

### glibtop_get_netlist_r

    #define glibtop_get_netlist_r		glibtop_get_netlist_p

## See Also

libgtop-netload